Bug 15498 - Replace ExportWithCsvProfile with ExportCircHistory
Summary: Replace ExportWithCsvProfile with ExportCircHistory
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on: 15451 15493 18136
Blocks: 18453
  Show dependency treegraph
 
Reported: 2016-01-06 16:36 UTC by Jonathan Druart
Modified: 2017-04-19 15:31 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 15498: Let the user choose the CSV profile to export circ history (13.51 KB, patch)
2016-01-06 16:52 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 15498: Add ExportCircHistory and remove ExportWithCsvProfile (3.64 KB, patch)
2016-01-06 16:52 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 15498: Let the user choose the CSV profile to export circ history (13.51 KB, patch)
2016-04-15 08:12 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 15498: Add ExportCircHistory and remove ExportWithCsvProfile (3.64 KB, patch)
2016-04-15 08:12 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 15498: Let the user choose the CSV profile to export circ history (13.73 KB, patch)
2016-11-02 08:58 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 15498: Add ExportCircHistory and remove ExportWithCsvProfile (3.62 KB, patch)
2016-11-02 08:58 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 15498: Do not display sql csv profiles (1.47 KB, patch)
2016-11-02 08:58 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 15498: Fix show/hide csv profile list (1.15 KB, patch)
2016-11-02 10:32 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 15498: Let the user choose the CSV profile to export circ history (13.80 KB, patch)
2016-11-02 10:43 UTC, Josef Moravec
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 15498: Add ExportCircHistory and remove ExportWithCsvProfile (3.68 KB, patch)
2016-11-02 10:43 UTC, Josef Moravec
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 15498: Do not display sql csv profiles (1.54 KB, patch)
2016-11-02 10:43 UTC, Josef Moravec
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 15498: Fix show/hide csv profile list (1.22 KB, patch)
2016-11-02 10:43 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 15498: Let the user choose the CSV profile to export circ history (13.97 KB, patch)
2017-02-17 07:57 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 15498: Add ExportCircHistory and remove ExportWithCsvProfile (3.71 KB, patch)
2017-02-17 07:58 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 15498: Do not display sql csv profiles (1.57 KB, patch)
2017-02-17 07:58 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 15498: Fix show/hide csv profile list (1.24 KB, patch)
2017-02-17 07:58 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 15498: [QA Follow-up] (972 bytes, patch)
2017-02-17 07:58 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 15498: Let the user choose the CSV profile to export circ history (13.95 KB, patch)
2017-02-17 10:14 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 15498: Add ExportCircHistory and remove ExportWithCsvProfile (3.67 KB, patch)
2017-02-17 10:14 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 15498: Do not display sql csv profiles (1.53 KB, patch)
2017-02-17 10:14 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 15498: Fix show/hide csv profile list (1.21 KB, patch)
2017-02-17 10:14 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 15498: [QA Follow-up] (932 bytes, patch)
2017-02-17 10:14 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 15498: Fix conflict with bug 17394 (1004 bytes, patch)
2017-02-17 10:14 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 15498: Let the user choose the CSV profile to export circ history (13.93 KB, patch)
2017-02-17 12:18 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 15498: Add ExportCircHistory and remove ExportWithCsvProfile (3.76 KB, patch)
2017-02-17 12:18 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 15498: Do not display sql csv profiles (1.62 KB, patch)
2017-02-17 12:18 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 15498: Fix show/hide csv profile list (1.30 KB, patch)
2017-02-17 12:18 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 15498: Fix conflict with bug 17394 (1.08 KB, patch)
2017-02-17 12:18 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 15498: [QA Follow-up] Additional changes (1.53 KB, patch)
2017-02-17 12:18 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2016-01-06 16:36:14 UTC
The way the export options are displayed at the bottom of the checkouts table is not consistent.
At the moment (prior to this patch set), they are display if ExportRemoveFields or ExportWithCsvProfile is set.
It does not make any sense, the user could want to export the checkouts in iso2709 format without having to define a csv profile and fill the pref.

Moreover the behavior of this pref does not match its description: it's used as a default CSV profile when exporting records from the export tools or the command line.
Comment 1 Jonathan Druart 2016-01-06 16:52:34 UTC Comment hidden (obsolete)
Comment 2 Jonathan Druart 2016-01-06 16:52:45 UTC Comment hidden (obsolete)
Comment 3 Mirko Tietgen 2016-04-14 19:08:09 UTC
>Wende an: Bug 15498: Let the user choose the CSV profile to export circ history
>fatal: sha1 information is lacking or useless (Koha/Exporter/Record.pm).
>Dem Repository fehlen notwendige Blobs um auf einen 3-Wege-Merge zurückzufallen.
>Kann nicht zu 3-Wege-Merge zurückfallen.
>Anwendung des Patches fehlgeschlagen bei 0001 Bug 15498: Let the user choose the CSV profile to export circ history
>Die Kopie des fehlgeschlagenen Patches befindet sich in:
>   /home/mirko/koha/.git/rebase-apply/patch
Comment 4 Jonathan Druart 2016-04-15 08:12:43 UTC
Created attachment 50257 [details] [review]
Bug 15498: Let the user choose the CSV profile to export circ history

The way the export options are displayed at the bottom of the checkouts table
was not consistent.
Prior to this patch set, they are display if ExportRemoveFields or
ExportWithCsvProfile is set.
It does not make any sense, the user could want to export the checkouts in
iso2709 format without having to define a csv profile and fill the pref.

Moreover the behavior of this pref did not match its description: it's used as
a default CSV profile when exporting records from the export tools or the
command line.

This patch set adds a new pref ExportCircHistory and remove
ExportWithCsvProfile. The new pref is set if ExportWithCsvProfile or
ExportRemoveFields were set.
A new dropdown list with the CSV profile list will be displayed in the
export area, at the bottom of the checkouts table.

Note that now --csv_profile_id is mandatory for the export command line
(misc/export_records.pl) if the export format is csv.

Test plan:
0/ Do not execute the DB entry
1/ Clear both ExportWithCsvProfile and ExportRemoveFields prefs
2/ Execute the DB entry
3/ ExportCircHistory should not be set and the export options should not
be displayed at the bottom of the checkouts table.
4/ Remove the pref
  DELETE FROM systempreferences WHERE variable='ExportCircHistory';
and reinsert the previous one, with a value:
  INSERT INTO systempreferences (variable, value) VALUES
  ('ExportWithCsvProfile', 'something');
Execute the DB entry again
=> The now pref should be now set
5/ Export some checkouts using the CSV entry
6/ Note that the export tool and commandline script still work using the
csv format. You have to provide a --csv_profile_id option to make it
work.
Comment 5 Jonathan Druart 2016-04-15 08:12:46 UTC
Created attachment 50258 [details] [review]
Bug 15498: Add ExportCircHistory and remove ExportWithCsvProfile
Comment 6 Josef Moravec 2016-11-02 06:37:38 UTC
I'd like to sign-off, but patch doesn't apṕlied cleanly...

Also, I like the ability to select from all available profiles, but I think it should offer only 'marc' type of profile, because with 'sql' type exporting of checkouts doesn't work...
Comment 7 Jonathan Druart 2016-11-02 08:58:41 UTC
Created attachment 57064 [details] [review]
Bug 15498: Let the user choose the CSV profile to export circ history

The way the export options are displayed at the bottom of the checkouts table
was not consistent.
Prior to this patch set, they are display if ExportRemoveFields or
ExportWithCsvProfile is set.
It does not make any sense, the user could want to export the checkouts in
iso2709 format without having to define a csv profile and fill the pref.

Moreover the behavior of this pref did not match its description: it's used as
a default CSV profile when exporting records from the export tools or the
command line.

This patch set adds a new pref ExportCircHistory and remove
ExportWithCsvProfile. The new pref is set if ExportWithCsvProfile or
ExportRemoveFields were set.
A new dropdown list with the CSV profile list will be displayed in the
export area, at the bottom of the checkouts table.

Note that now --csv_profile_id is mandatory for the export command line
(misc/export_records.pl) if the export format is csv.

Test plan:
0/ Do not execute the DB entry
1/ Clear both ExportWithCsvProfile and ExportRemoveFields prefs
2/ Execute the DB entry
3/ ExportCircHistory should not be set and the export options should not
be displayed at the bottom of the checkouts table.
4/ Remove the pref
  DELETE FROM systempreferences WHERE variable='ExportCircHistory';
and reinsert the previous one, with a value:
  INSERT INTO systempreferences (variable, value) VALUES
  ('ExportWithCsvProfile', 'something');
Execute the DB entry again
=> The now pref should be now set
5/ Export some checkouts using the CSV entry
6/ Note that the export tool and commandline script still work using the
csv format. You have to provide a --csv_profile_id option to make it
work.
Comment 8 Jonathan Druart 2016-11-02 08:58:45 UTC
Created attachment 57065 [details] [review]
Bug 15498: Add ExportCircHistory and remove ExportWithCsvProfile
Comment 9 Jonathan Druart 2016-11-02 08:58:51 UTC
Created attachment 57066 [details] [review]
Bug 15498: Do not display sql csv profiles
Comment 10 Jonathan Druart 2016-11-02 08:59:30 UTC
(In reply to Josef Moravec from comment #6)
> I'd like to sign-off, but patch doesn't apṕlied cleanly...
> 
> Also, I like the ability to select from all available profiles, but I think
> it should offer only 'marc' type of profile, because with 'sql' type
> exporting of checkouts doesn't work...

Indeed, done.
Thanks for testing Josef!
Comment 11 Josef Moravec 2016-11-02 09:27:56 UTC
Jonathan, everything works perfectly, I have just small doubt about UI - the purpose of 2nd select is not 100% obvious from my point of view...

could you try to

Merge these to select into one like this?
- ISO2709 with items
- ISO2709 without 
- CSV - profile1
- CSV - profile2
- ...

OR

Show/hide the second select dynamically based on actually selected format in first select?
Comment 12 Jonathan Druart 2016-11-02 10:32:00 UTC
Created attachment 57070 [details] [review]
Bug 15498: Fix show/hide csv profile list
Comment 13 Jonathan Druart 2016-11-02 10:32:33 UTC
(In reply to Josef Moravec from comment #11)
> Show/hide the second select dynamically based on actually selected format in
> first select?

Yes, that's how it is supposed to work, but I broke it during the rebase.
Comment 14 Josef Moravec 2016-11-02 10:43:23 UTC
Created attachment 57072 [details] [review]
[SIGNED-OFF] Bug 15498: Let the user choose the CSV profile to export circ history

The way the export options are displayed at the bottom of the checkouts table
was not consistent.
Prior to this patch set, they are display if ExportRemoveFields or
ExportWithCsvProfile is set.
It does not make any sense, the user could want to export the checkouts in
iso2709 format without having to define a csv profile and fill the pref.

Moreover the behavior of this pref did not match its description: it's used as
a default CSV profile when exporting records from the export tools or the
command line.

This patch set adds a new pref ExportCircHistory and remove
ExportWithCsvProfile. The new pref is set if ExportWithCsvProfile or
ExportRemoveFields were set.
A new dropdown list with the CSV profile list will be displayed in the
export area, at the bottom of the checkouts table.

Note that now --csv_profile_id is mandatory for the export command line
(misc/export_records.pl) if the export format is csv.

Test plan:
0/ Do not execute the DB entry
1/ Clear both ExportWithCsvProfile and ExportRemoveFields prefs
2/ Execute the DB entry
3/ ExportCircHistory should not be set and the export options should not
be displayed at the bottom of the checkouts table.
4/ Remove the pref
  DELETE FROM systempreferences WHERE variable='ExportCircHistory';
and reinsert the previous one, with a value:
  INSERT INTO systempreferences (variable, value) VALUES
  ('ExportWithCsvProfile', 'something');
Execute the DB entry again
=> The now pref should be now set
5/ Export some checkouts using the CSV entry
6/ Note that the export tool and commandline script still work using the
csv format. You have to provide a --csv_profile_id option to make it
work.

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 15 Josef Moravec 2016-11-02 10:43:33 UTC
Created attachment 57073 [details] [review]
[SIGNED-OFF] Bug 15498: Add ExportCircHistory and remove ExportWithCsvProfile

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 16 Josef Moravec 2016-11-02 10:43:44 UTC
Created attachment 57074 [details] [review]
[SIGNED-OFF] Bug 15498: Do not display sql csv profiles

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 17 Josef Moravec 2016-11-02 10:43:53 UTC
Created attachment 57075 [details] [review]
[SIGNED-OFF] Bug 15498: Fix show/hide csv profile list

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 18 Marcel de Rooy 2017-02-17 07:54:18 UTC
QA Comment:
It would have been helpful if I had a more clear description of what this patch set wants to accomplish.

[1] Going through the code changes, you remove ExportWithCsvProfile and you add ExportCircHistory. You also touch ExportRemoveFields. ExportRemoveFields is still found in koha-tmpl/intranet-tmpl/prog/en/modules/admin/preferences/circulation.pref. But it is not in sysprefs.sql. Still in use in tools/export.pl. But I would also expect these fields to pop up at the circulation screen in the Dont export fields box.

[2] I do not see the combo (select name="csv_profile_id"). I guess it is hidden by js in checkouts.js. But also if I select csv, it does not show up. Refreshed, restarted, flushed, etc. No results. (I expected a combo with two csv profiles.)

Failed QA
Comment 19 Marcel de Rooy 2017-02-17 07:57:56 UTC
Created attachment 60372 [details] [review]
Bug 15498: Let the user choose the CSV profile to export circ history

The way the export options are displayed at the bottom of the checkouts table
was not consistent.
Prior to this patch set, they are display if ExportRemoveFields or
ExportWithCsvProfile is set.
It does not make any sense, the user could want to export the checkouts in
iso2709 format without having to define a csv profile and fill the pref.

Moreover the behavior of this pref did not match its description: it's used as
a default CSV profile when exporting records from the export tools or the
command line.

This patch set adds a new pref ExportCircHistory and remove
ExportWithCsvProfile. The new pref is set if ExportWithCsvProfile or
ExportRemoveFields were set.
A new dropdown list with the CSV profile list will be displayed in the
export area, at the bottom of the checkouts table.

Note that now --csv_profile_id is mandatory for the export command line
(misc/export_records.pl) if the export format is csv.

Test plan:
0/ Do not execute the DB entry
1/ Clear both ExportWithCsvProfile and ExportRemoveFields prefs
2/ Execute the DB entry
3/ ExportCircHistory should not be set and the export options should not
be displayed at the bottom of the checkouts table.
4/ Remove the pref
  DELETE FROM systempreferences WHERE variable='ExportCircHistory';
and reinsert the previous one, with a value:
  INSERT INTO systempreferences (variable, value) VALUES
  ('ExportWithCsvProfile', 'something');
Execute the DB entry again
=> The now pref should be now set
5/ Export some checkouts using the CSV entry
6/ Note that the export tool and commandline script still work using the
csv format. You have to provide a --csv_profile_id option to make it
work.

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 20 Marcel de Rooy 2017-02-17 07:58:00 UTC
Created attachment 60373 [details] [review]
Bug 15498: Add ExportCircHistory and remove ExportWithCsvProfile

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 21 Marcel de Rooy 2017-02-17 07:58:04 UTC
Created attachment 60374 [details] [review]
Bug 15498: Do not display sql csv profiles

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 22 Marcel de Rooy 2017-02-17 07:58:08 UTC
Created attachment 60375 [details] [review]
Bug 15498: Fix show/hide csv profile list

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 23 Marcel de Rooy 2017-02-17 07:58:12 UTC
Created attachment 60376 [details] [review]
Bug 15498: [QA Follow-up]

Resolves: forbidden pattern: trailing space char (line 334)
Comment 24 Marcel de Rooy 2017-02-17 07:58:51 UTC
Trivial rebase
Comment 25 Jonathan Druart 2017-02-17 10:14:22 UTC
Created attachment 60385 [details] [review]
Bug 15498: Let the user choose the CSV profile to export circ history

The way the export options are displayed at the bottom of the checkouts table
was not consistent.
Prior to this patch set, they are display if ExportRemoveFields or
ExportWithCsvProfile is set.
It does not make any sense, the user could want to export the checkouts in
iso2709 format without having to define a csv profile and fill the pref.

Moreover the behavior of this pref did not match its description: it's used as
a default CSV profile when exporting records from the export tools or the
command line.

This patch set adds a new pref ExportCircHistory and remove
ExportWithCsvProfile. The new pref is set if ExportWithCsvProfile or
ExportRemoveFields were set.
A new dropdown list with the CSV profile list will be displayed in the
export area, at the bottom of the checkouts table.

Note that now --csv_profile_id is mandatory for the export command line
(misc/export_records.pl) if the export format is csv.

Test plan:
0/ Do not execute the DB entry
1/ Clear both ExportWithCsvProfile and ExportRemoveFields prefs
2/ Execute the DB entry
3/ ExportCircHistory should not be set and the export options should not
be displayed at the bottom of the checkouts table.
4/ Remove the pref
  DELETE FROM systempreferences WHERE variable='ExportCircHistory';
and reinsert the previous one, with a value:
  INSERT INTO systempreferences (variable, value) VALUES
  ('ExportWithCsvProfile', 'something');
Execute the DB entry again
=> The now pref should be now set
5/ Export some checkouts using the CSV entry
6/ Note that the export tool and commandline script still work using the
csv format. You have to provide a --csv_profile_id option to make it
work.

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 26 Jonathan Druart 2017-02-17 10:14:29 UTC
Created attachment 60386 [details] [review]
Bug 15498: Add ExportCircHistory and remove ExportWithCsvProfile

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 27 Jonathan Druart 2017-02-17 10:14:34 UTC
Created attachment 60387 [details] [review]
Bug 15498: Do not display sql csv profiles

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 28 Jonathan Druart 2017-02-17 10:14:40 UTC
Created attachment 60388 [details] [review]
Bug 15498: Fix show/hide csv profile list

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 29 Jonathan Druart 2017-02-17 10:14:46 UTC
Created attachment 60389 [details] [review]
Bug 15498: [QA Follow-up]

Resolves: forbidden pattern: trailing space char (line 334)
Comment 30 Jonathan Druart 2017-02-17 10:14:52 UTC
Created attachment 60390 [details] [review]
Bug 15498: Fix conflict with bug 17394
Comment 31 Jonathan Druart 2017-02-17 10:16:50 UTC
(In reply to Marcel de Rooy from comment #18)
> QA Comment:
> It would have been helpful if I had a more clear description of what this
> patch set wants to accomplish.

Sorry, I thought everything was clear enough.

> [1] Going through the code changes, you remove ExportWithCsvProfile and you
> add ExportCircHistory. You also touch ExportRemoveFields. ExportRemoveFields
> is still found in
> koha-tmpl/intranet-tmpl/prog/en/modules/admin/preferences/circulation.pref.
> But it is not in sysprefs.sql. Still in use in tools/export.pl. But I would
> also expect these fields to pop up at the circulation screen in the Dont
> export fields box.

It's a bug from master, opened bug 18136.

> [2] I do not see the combo (select name="csv_profile_id"). I guess it is
> hidden by js in checkouts.js. But also if I select csv, it does not show up.
> Refreshed, restarted, flushed, etc. No results. (I expected a combo with two
> csv profiles.)

Caused by a changed of the element's id by bug 17394.
Comment 32 Marcel de Rooy 2017-02-17 11:25:42 UTC
Comment on attachment 60389 [details] [review]
Bug 15498: [QA Follow-up]

Somehow this is useless. Space gets away when committing..
Comment 33 Marcel de Rooy 2017-02-17 12:18:15 UTC
Created attachment 60411 [details] [review]
Bug 15498: Let the user choose the CSV profile to export circ history

The way the export options are displayed at the bottom of the checkouts table
was not consistent.
Prior to this patch set, they are display if ExportRemoveFields or
ExportWithCsvProfile is set.
It does not make any sense, the user could want to export the checkouts in
iso2709 format without having to define a csv profile and fill the pref.

Moreover the behavior of this pref did not match its description: it's used as
a default CSV profile when exporting records from the export tools or the
command line.

This patch set adds a new pref ExportCircHistory and remove
ExportWithCsvProfile. The new pref is set if ExportWithCsvProfile or
ExportRemoveFields were set.
A new dropdown list with the CSV profile list will be displayed in the
export area, at the bottom of the checkouts table.

Note that now --csv_profile_id is mandatory for the export command line
(misc/export_records.pl) if the export format is csv.

Test plan:
0/ Do not execute the DB entry
1/ Clear both ExportWithCsvProfile and ExportRemoveFields prefs
2/ Execute the DB entry
3/ ExportCircHistory should not be set and the export options should not
be displayed at the bottom of the checkouts table.
4/ Remove the pref
  DELETE FROM systempreferences WHERE variable='ExportCircHistory';
and reinsert the previous one, with a value:
  INSERT INTO systempreferences (variable, value) VALUES
  ('ExportWithCsvProfile', 'something');
Execute the DB entry again
=> The now pref should be now set
5/ Export some checkouts using the CSV entry
6/ Note that the export tool and commandline script still work using the
csv format. You have to provide a --csv_profile_id option to make it
work.

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 34 Marcel de Rooy 2017-02-17 12:18:20 UTC
Created attachment 60412 [details] [review]
Bug 15498: Add ExportCircHistory and remove ExportWithCsvProfile

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 35 Marcel de Rooy 2017-02-17 12:18:24 UTC
Created attachment 60413 [details] [review]
Bug 15498: Do not display sql csv profiles

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 36 Marcel de Rooy 2017-02-17 12:18:28 UTC
Created attachment 60414 [details] [review]
Bug 15498: Fix show/hide csv profile list

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 37 Marcel de Rooy 2017-02-17 12:18:33 UTC
Created attachment 60415 [details] [review]
Bug 15498: Fix conflict with bug 17394

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 38 Marcel de Rooy 2017-02-17 12:18:37 UTC
Created attachment 60416 [details] [review]
Bug 15498: [QA Follow-up] Additional changes

Adds ExportRemoveFields to sysprefs.sql

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 39 Kyle M Hall 2017-03-31 11:54:37 UTC
Pushed to master for 17.05, thanks Jonathan, Marcel!
Comment 40 Katrin Fischer 2017-04-02 16:29:31 UTC
This won't get ported back to 16.11.x as it is an enhancement.